import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataOktaAuthServerClaimsConfig extends cdktf.TerraformMetaArguments {
    /**
    * Auth server ID
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/auth_server_claims#auth_server_id DataOktaAuthServerClaims#auth_server_id}
    */
    readonly authServerId: string;
}
export declare class DataOktaAuthServerClaimsClaims extends cdktf.ComplexComputedList {
    get alwaysIncludeInToken(): cdktf.IResolvable;
    get claimType(): string;
    get id(): string;
    get name(): string;
    get scopes(): string[];
    get status(): string;
    get value(): string;
    get valueType(): string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/okta/d/auth_server_claims okta_auth_server_claims}
*/
export declare class DataOktaAuthServerClaims extends cdktf.TerraformDataSource {
    static readonly tfResourceType: string;
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/okta/d/auth_server_claims okta_auth_server_claims} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataOktaAuthServerClaimsConfig
    */
    constructor(scope: Construct, id: string, config: DataOktaAuthServerClaimsConfig);
    private _authServerId?;
    get authServerId(): string;
    set authServerId(value: string);
    get authServerIdInput(): string | undefined;
    claims(index: string): DataOktaAuthServerClaimsClaims;
    get id(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
